QUE Cyber Security Advisory – Exploit Remote Desktop Vulnerability (CVE-2019-0708) dubbed BlueKeep.

If you are still using old version of Windows XP, VISTA, 7, Windows Server 2003 and 2008 you need to patch your operating system as soon as possible. Hackers already created a module to possibly exploit this Remote Desktop Services Remote Code Execution Vulnerability.

Microsoft has warned that this flaw is potentially “wormable” meaning it could spread without user interaction across the internet. The CVE-2019-0708 dubbed “BlueKeep” is a vulnerability in the Remote Desktop (RDP) protocol. It is present in Windows 7, Windows XP, Server 2003 and 2008, and Vista. Microsoft rate this vulnerability at 9.8 on a 10 point scale.

Simple approach to protect your system against BlueKeep.

  • Automate your windows security patch installation.
  • Block TCP port 3389.
  • Disable Remote Desktop Services if they are not required. Most home computers doesn’t need this service enable.

Resources:

Image by Burst pexels.

Support @QUE.COM

Founder, QUE.COM Internet Media. | Founder, Yehey.com a Shout for Joy! | MAJ.COM Management of Assets and Joint Venture.. More at KING.NET Ideas to Life.

Leave a Reply